"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ButtonWithIcon = void 0;
require("../style.css");
var _Icons = require("../../../constants/Icons");
const ButtonWithIcon = _ref => {
  let {
    title,
    type,
    className,
    btnColor,
    btnBgColor,
    btnHoverColor,
    btnHoverBgColor
  } = _ref;
  return /*#__PURE__*/React.createElement("button", {
    type: type,
    className: "".concat(className ? className : "", " button"),
    style: {
      "--primary-color": btnColor,
      "--secondary-color": btnBgColor,
      "--btn-hover-color": btnHoverColor,
      "--btn-hover-bg-color": btnHoverBgColor
    }
  }, title, /*#__PURE__*/React.createElement("div", {
    className: "btn-icon"
  }, _Icons.Icon.arrowIcon));
};
exports.ButtonWithIcon = ButtonWithIcon;