"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
require("core-js/modules/web.dom-collections.iterator.js");
var _react = require("react");
require("./style.css");
var _ButtonWithIcon = require("../Buttons/ButtonWithIcon");
var _Button = require("../Buttons/Button");
var _Icons = require("../../constants/Icons");
// Header Style

const Header = _ref => {
  let {
    navigation,
    left,
    right,
    centered,
    headerBtn,
    brandName,
    brandLogo,
    headerBg,
    brandNameColor,
    navMenuColor,
    navMenuHoverColor,
    navMenuHoverBgColor,
    btnColor,
    btnBgColor,
    btnHoverColor,
    btnHoverBgColor
  } = _ref;
  const [isOpen, setIsOpen] = (0, _react.useState)(false);
  const [leftAlignMenu, setLeftAlignMenu] = (0, _react.useState)(left || false);
  const [rightAlignMenu, setRightAlignMenu] = (0, _react.useState)(right || false);
  const [centeredLogo, setCenteredLogo] = (0, _react.useState)(centered || false);
  const [isMobile, setIsMobile] = (0, _react.useState)(false);
  const [activeDropdown, setActiveDropdown] = (0, _react.useState)(null);
  const handleDropdown = id => {
    setActiveDropdown(id === activeDropdown ? null : id);
  };
  (0, _react.useEffect)(() => {
    const handleResize = () => {
      setIsMobile(window.innerWidth <= 768);
    };
    handleResize();
    window.addEventListener("resize", handleResize);
    return () => window.removeEventListener("resize", handleResize);
  }, []);
  return /*#__PURE__*/React.createElement("header", {
    className: "header",
    style: {
      backgroundColor: headerBg
    }
  }, /*#__PURE__*/React.createElement("div", {
    className: "container"
  }, /*#__PURE__*/React.createElement("div", {
    onClick: () => {
      setIsOpen(false);
      setActiveDropdown(null);
    },
    className: "overlay ".concat(isOpen ? "overlay-active" : "")
  }), /*#__PURE__*/React.createElement("nav", {
    className: "".concat(leftAlignMenu ? "header-nav-left-align" : rightAlignMenu ? "header-nav-right-align" : "header-nav-centerted", " ")
  }, centeredLogo && headerBtn && /*#__PURE__*/React.createElement("div", {
    className: "header-nav-btn"
  }, /*#__PURE__*/React.createElement(_ButtonWithIcon.ButtonWithIcon, {
    title: "Login",
    type: "button",
    btnBgColor: btnBgColor,
    btnColor: btnColor,
    btnHoverBgColor: btnHoverBgColor,
    btnHoverColor: btnHoverColor
  }), " "), /*#__PURE__*/React.createElement("a", {
    href: "",
    className: "nav-logo"
  }, brandLogo && /*#__PURE__*/React.createElement("img", {
    className: "",
    src: brandLogo,
    alt: "Brand Logo"
  }), brandName && /*#__PURE__*/React.createElement("span", {
    className: "brand-name",
    style: {
      color: brandNameColor
    }
  }, brandName)), !isMobile && /*#__PURE__*/React.createElement("div", {
    className: "".concat(leftAlignMenu ? "nav-menu-left-align" : rightAlignMenu ? "nav-menu-right-align" : "nav-menu-centered")
  }, navigation === null || navigation === void 0 ? void 0 : navigation.map((item, index) => /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("a", {
    key: item.name,
    href: item.href,
    className: "nav-link",
    style: {
      "--nav-menu-color": navMenuColor,
      "--nav-menu-hover-bg-color": navMenuHoverBgColor,
      "--nav-menu-hover-color": navMenuHoverColor
    }
  }, item.name, item.subNavigation && item.subNavigation.length > 0 && /*#__PURE__*/React.createElement("div", {
    onClick: () => handleDropdown(index),
    className: "dropdown-icon ".concat(activeDropdown === index ? "open" : "close")
  }, _Icons.Icon.downArrowIcon)), /*#__PURE__*/React.createElement("div", {
    className: "dropdown-menu ".concat(activeDropdown === index ? "open" : ""),
    style: index !== activeDropdown ? {
      transition: "none"
    } : index === activeDropdown ? {
      transition: "max-height 0.7s ease-in"
    } : {}
  }, item.subNavigation && (item === null || item === void 0 ? void 0 : item.subNavigation.length) > 0 && item.subNavigation.map(subitem => /*#__PURE__*/React.createElement("a", {
    key: subitem.name,
    href: item.href,
    className: "dropdown-nav-link"
  }, subitem.name))))), rightAlignMenu && headerBtn && /*#__PURE__*/React.createElement("div", {
    className: "header-nav-right-btn"
  }, /*#__PURE__*/React.createElement(_ButtonWithIcon.ButtonWithIcon, {
    title: "Login",
    type: "button",
    btnBgColor: btnBgColor,
    btnColor: btnColor,
    btnHoverBgColor: btnHoverBgColor,
    btnHoverColor: btnHoverColor
  }), " ")), leftAlignMenu && headerBtn && /*#__PURE__*/React.createElement("div", {
    className: "header-nav-right-btn"
  }, /*#__PURE__*/React.createElement(_ButtonWithIcon.ButtonWithIcon, {
    title: "Login",
    type: "button",
    btnBgColor: btnBgColor,
    btnColor: btnColor,
    btnHoverBgColor: btnHoverBgColor,
    btnHoverColor: btnHoverColor
  }), " "), !isOpen && /*#__PURE__*/React.createElement("div", {
    className: "humberger-icon",
    onClick: () => setIsOpen(true)
  }, _Icons.Icon.humbergerIcon), isOpen && /*#__PURE__*/React.createElement("div", {
    className: "cross-icon",
    onClick: () => setIsOpen(false)
  }, _Icons.Icon.crossIcon)), /*#__PURE__*/React.createElement("div", {
    className: "sidebar ".concat(isOpen ? "active" : "")
  }, /*#__PURE__*/React.createElement("div", {
    className: "mobile-nav"
  }, navigation === null || navigation === void 0 ? void 0 : navigation.map((item, index) => /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("a", {
    key: item.name,
    href: item.href,
    className: "sidebar-nav-link"
  }, item.name, item.subNavigation && item.subNavigation.length > 0 && /*#__PURE__*/React.createElement("div", {
    onClick: () => handleDropdown(index),
    className: "dropdown-icon ".concat(activeDropdown === index ? "open" : "close")
  }, _Icons.Icon.downArrowIcon)), /*#__PURE__*/React.createElement("div", {
    className: "sidebar-dropdown-menu ".concat(activeDropdown === index ? "open" : ""),
    style: index !== activeDropdown ? {
      transition: "none"
    } : index === activeDropdown ? {
      transition: "max-height 0.7s ease-in"
    } : {}
  }, item.subNavigation && (item === null || item === void 0 ? void 0 : item.subNavigation.length) > 0 && item.subNavigation.map(subitem => /*#__PURE__*/React.createElement("a", {
    key: subitem.name,
    href: item.href,
    className: "dropdown-nav-link"
  }, subitem.name))))), /*#__PURE__*/React.createElement("div", {
    className: "horizontal-line"
  }), /*#__PURE__*/React.createElement(_Button.Button, {
    title: "Login",
    className: "sidebar-login-btn"
  })))));
};
var _default = exports.default = Header;